<?php
// Software released under the General Public License (version 2 or later), available at
// http://www.gnu.org/copyleft/gpl.html
/***********************************************************************************
    Example of use of class Yurt
    
    @license    GPL
    @author     Thierry Graff   tig12.net
    @history    2007-05-04 14:53 : Creation
**********************************************************************************/

$process = isset($_POST['config']);

if($process){
    if(md5($_POST['response']) != $_POST['spam']){
        die("Erreur dans la question anti-spam");
    }
    compute();
    displayResults();
}
else{
    displayForm();
}


// ******************************************************
/**
    Fabrique des plans et stocke le resultat dans output/ 
**/
function compute(){
    require_once('../src/Yurt.php');
    $y = new Yurt($_POST['config']);
    $results_dir = dirname(__FILE__) . '/results'; // no slash at the end
    $y->generateDocument($results_dir);
}


// ******************************************************
/**
    Affiche les résultats 
**/
function displayResults(){
    echo "Document g&eacute;n&eacute;r&eacute;<a href='results/'><br/>Voir le r&eacute;sultat</a>";
}

// ******************************************************
/**
    Affiche le formulaire 
**/
function displayForm(){
    $n1 = rand(0, 6);
    $n2 = rand(0, 6);
    $n = $n1 + $n2;
    $spam = md5($n);
?>
<html>
    <head>
        <title>Calcul plan yourte</title>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <style>
            a{ text-decoration:none; }
            ul{ margin:3px 0; }
        </style>
    </head>
    <body style="background:lightyellow;">
    <div style='float:left; font-weight:bold; font-size:2em;'>Calcul de plans de yourte</div>
    <div style='float:left;padding-left:10em; font-weight:bold; font-size:1.6em;'><a href='#Utilisation'>Utilisation</a></div>
        <br style='clear:left;'/>
        
        <form method="POST">
            <textarea id="config" name="config" rows="30" cols="120"></textarea>
            <div>
                Humain ou un robot spammeur ? 
                Combien font <?php echo $n1; ?> + <?php echo $n2; ?> ?
                <input type="text" name="response"/>
                <span style="padding-left:1em;"><input style="font-size:1.2em;" type="submit" name="__Q__" value="Générer les plans"/></span>
            </div>
            <input type="hidden" name="spam" value="<?php echo $spam; ?>"/>
        </form>
        
        <h2><a name='Utilisation'>Utilisation</a></h2> :
        Pour tester si le programme marche :
        <ul>
            <li>copier tout le contenu de <a href='config-yourte.txt'>config-yourte.txt</a> dans la zone de texte de cette page,</li>
            <li>répondre à la question anti-spam</li>
            <li>et cliquer sur "Générer les plans".</li>
        </ul>
        Pour faire des plans et pouvoir ajuster des valeurs ensuite, les conserver et revenir dessus
        <ul>
            <li>Enregistrez sur votre ordinateur <a href='config-yourte.txt'>config-yourte.txt</a></li>
            <li>Vous pouvez éditer et modifier le fichier en local</li>
            <li>Chaque fois que vous voulez regénérer les plans, copiez le contenu du fichier et collez le dans la zone de texte de cette page, et regénérez les plans.</li>
    </body>
</html>

<?php
}
